﻿Public Class FrmManipItem
    ''' <summary>
    ''' The id of the item that is selected in the dagridview
    ''' </summary>
    ''' <remarks>The id of the item selected.</remarks>
    Friend ItemId As Integer = 0

    Private AddItemQuery As String = String.Empty
    Private UpdateItemQuery As String = String.Empty

    Private Sub CloseForm(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown

        If e.KeyCode.Equals(Keys.Escape) Then
            Me.Close()
        End If
    End Sub

    Private Sub BtnAddNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnAddNew.Click
        ClearAllFields(GrpItemDetails)
    End Sub

    Private Sub ComboDpt_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub

    Private Sub BtnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnSave.Click

        If ItemId = 0 Then
            'Add new item if the item id is 0.
            AddItemQuery = String.Format("CALL ItemAdd('{0}', '{1}', '{2}', '{3}', '{4}')", ComboType.Text, ComboBrand.Text, ComboModel.Text, TxtSerial.Text, TxtDescription.Text)
            Query("Added new item successfully.", AddItemQuery)

            HistoryLogger.Log("Added new item " & ComboType.Text & " " & ComboBrand.Text & " " & ComboModel.Text, UserId, "Management")
        Else
            'Otherwise update the item
            UpdateItemQuery = String.Format("CALL ItemUpdate('{0}', '{1}', '{2}', '{3}', '{4}', {5})", ComboType.Text, ComboBrand.Text, ComboModel.Text, TxtSerial.Text, TxtDescription.Text, ItemId)
            Query("Updated item successfully.", UpdateItemQuery)


            With FrmMainItem.DtgItem.CurrentRow
                Dim UpdatedItemLog = "Updated an item from " & .Cells("Type").Value & " " & .Cells("Brand").Value & " " & .Cells("Model").Value & " to " & ComboType.Text & " " & ComboBrand.Text & " " & ComboModel.Text
                HistoryLogger.Log(UpdatedItemLog, UserId, "Management")
            End With

        End If


        FrmMainItem.FrmMainItem_Load(sender, e)
        Close()
    End Sub

    Private Sub FrmManipItem_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        SetAutoCompletion("CALL ItemGetAllType()", ComboType)
        SetAutoCompletion("CALL ItemGetAllBrand()", ComboBrand)
        SetAutoCompletion("CALL ItemGetAllModel()", ComboModel)
    End Sub
End Class