﻿Module Program
    ''' <summary>
    ''' The name of the program.
    ''' </summary>
    ''' <remarks>The name of the program.</remarks>
    Public Const PROGRAM_NAME = "Computer Laboratory Inventory System"

    ''' <summary>
    ''' Sets the current academic year based on what is the current year now then add 1 to get the academic year limit.
    ''' </summary>
    ''' <remarks>Gets the current academic year based on the clock of the machine or computer used.</remarks>
    Public CurrentAy As String = String.Format("{0}-{1}", Date.Now.Year, (Date.Now.Year + 1))

    ''' <summary>
    ''' The default academicyear that is currenty used by teh program.
    ''' </summary>
    ''' <remarks>The default academicyear set in a program.</remarks>
    Public DefaultAcademicYear As String = ""

    ''' <summary>
    ''' The default academicyear id that is currenty used by teh program.
    ''' </summary>
    ''' <remarks>The default academicyear id set in a program.</remarks>
    Public DefaultAcademicYearId As Integer = 0

    ''' <summary>
    ''' The id of the specific academic year when it is selected in the datagridveiew.
    ''' </summary>
    ''' <remarks>The id of a certain academic year based in the selection fo the dataridview</remarks>
    Public SelectedAcademicYearId As Integer = 0

    ''' <summary>
    ''' Is the academic year set to default: Yes | No.
    ''' </summary>
    ''' <remarks>The set default either: Yes | No.</remarks>
    Public SelectedAyDefaults As String = ""

    ''' <summary>
    ''' Is the academic year set as default.
    ''' </summary>
    ''' <remarks>The academic year that is set to default.</remarks>
    Public SetAyDefault As String = ""

    ''' <summary>
    ''' Set the default academeic year that is used in the program
    ''' </summary>
    ''' <remarks>Set the the default ay in the program.</remarks>
    Public Sub SetDefaultAy(ByVal AcademicYear As String)
        Dim DoesAyExist = (GetSingleValue("CALL AyGetDefault()"))
        Dim _DefaultAcademicYear As String = ""

        If DoesAyExist.Equals(String.Empty) Then
            '================================================
            'This code sets the default to none when executed
            'Query("CALL AyClearDefaults()")
            '================================================

            _DefaultAcademicYear = (String.Format("CALL AyAddAndDefault('{0}', 1)", AcademicYear))
            Query(_DefaultAcademicYear)

            DefaultAcademicYear = AcademicYear
        ElseIf DoesAyExist.Equals(AcademicYear) Then
            Query(String.Format("CALL AySetDefault('{0}')", CurrentAy))
        End If
    End Sub

    Public Function GetDefaultAyId() As String
        Dim Result As String = 0
        Dim GetDefaultAyIdQuery As String = GetSingleValue("CALL AyGetDefaultId()")
        Result = GetDefaultAyIdQuery

        Return Result
    End Function

    ''' <summary>
    ''' Clears all textboxes and comboboxes in a certain control.
    ''' </summary>
    ''' <param name="TargetControl">The control where the clearing of text will execute.</param>
    ''' <remarks>Clears all textboxes and comboboxes in a certain control.</remarks>
    Public Sub ClearAllFields(ByVal TargetControl As Control)
        For Each Ctrl As Control In TargetControl.Controls
            If TypeOf Ctrl Is TextBox Then
                CType(Ctrl, TextBox).Clear()
            ElseIf TypeOf Ctrl Is ComboBox Then
                CType(Ctrl, ComboBox).Text = ""
            ElseIf TypeOf Ctrl Is RadioButton Then
                CType(Ctrl, RadioButton).Checked = False
            End If
        Next
    End Sub
    ''' <summary>
    ''' Clears all spaces in a given string.
    ''' </summary>
    ''' <param name="TargetString">The string that spaces will be cleared.</param>
    ''' <returns>The string that spaces are all cleared.</returns>
    ''' <remarks>Clears all spaces in a given string.</remarks>
    Public Function ClearAllSpaces(ByVal TargetString As String) As String
        Return TargetString.Replace(" ", "")
    End Function
End Module
