﻿Public Class Main
    Private AyId As Integer = 0
    Friend Dptid As Integer = 0, AreaId As Integer = 0
    Public ItemCode As String = String.Empty

    Public Sub LoadComboDatas()
        '====================================================
        'Todo: fill the comoboboxes: the department and area.
        '====================================================
        SetAutoCompletion("CALL AyGetAllNoId()", ComboAy)
        SetAutoCompletion(String.Format("CALL DptGetAllNameByAyId({0})", DefaultAcademicYearId), ComboDpt)
        SetAutoCompletion(String.Format("CALL AreaGetAllDepartment({0}, '{1}')", DefaultAcademicYearId, ComboDpt.Text), ComboArea)

        If ComboDpt.Items.Count > 0 Then
            ComboDpt.Text = ComboDpt.Items.Item(0)
        Else
            ComboDpt.Text = String.Empty
        End If
    End Sub

    Private Sub AcademicYearToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AcademicYearToolStripMenuItem.Click

        FrmMainAy.ShowDialog()
    End Sub

    Friend Sub Main_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Disable all the toolstripmenuitem shortcutkeys when the user is not logged in.
        For Each Tlstrp As ToolStripMenuItem In MsAction.Items
            Tlstrp.ShortcutKeys = Keys.None
        Next

        Me.Text = PROGRAM_NAME
        SetDefaultAy(CurrentAy)
        DefaultAcademicYear = GetSingleValue("CALL AyGetDefault()")
        DefaultAcademicYearId = Val(GetSingleValue("CALL AyGetDefaultId()"))

        'Set the status strip label equals to default AY
        SsLblAy.Text = "Currently working on " & DefaultAcademicYear & " academic year"

        'Set the default text in AY combobox to be equal to default AY.
        ComboAy.Text = DefaultAcademicYear

        'Load comboboxesdata
        LoadComboDatas()

        Login.ShowDialog()

    End Sub

    Private Sub LoginToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LoginToolStripMenuItem.Click
        
        If LoginToolStripMenuItem.Text.Equals("Login") Then

            Login.ShowDialog()
        Else

            'Disable all the toolstripmenuitem shortcutkeys when the user is not logged in or when the user logged out.

            AcademicYearToolStripMenuItem.ShortcutKeys = Nothing
            DepartmentToolStripMenuItem.ShortcutKeys = Nothing
            AreaToolStripMenuItem.ShortcutKeys = Nothing
            ManageUsersToolStripMenuItem.ShortcutKeys = Nothing
            HistoryLogger.Log("Logged out", UserId, "User")

            SsAction.Hide()
            LblGreetings.Hide()
            DtgItem.Hide()
            OperationsToolStripMenuItem.Visible = False
            LoginToolStripMenuItem.Text = "Login"

            GrpDisplayType.Hide()
        End If
    End Sub

    Private Sub DepartmentToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DepartmentToolStripMenuItem.Click
        FrmMainDepartment.ShowDialog()
    End Sub

    Private Sub ManageUsersToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ManageUsersToolStripMenuItem.Click
        FrmMainUser.ShowDialog()
    End Sub

    Private Sub ViewHistoryToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ViewHistoryToolStripMenuItem.Click
        FrmMainAh.ShowDialog()
    End Sub

    Private Sub AreaToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AreaToolStripMenuItem.Click
        FrmMainArea.Text = "Manage Areas"
        FrmMainArea.GrpAreaDetails.Show()
        FrmMainArea.ShowDialog()
    End Sub

    Private Sub Comboboxes_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles ComboAy.KeyPress, ComboDpt.KeyPress, ComboArea.KeyPress
        e.Handled = True
    End Sub

    Private Sub ComboAy_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboAy.SelectedIndexChanged, ComboAy.TextChanged

        If Not ComboAy.Equals(String.Empty) Then

            AyId = GetSingleValue(String.Format("CALL AyGetId('{0}')", ComboAy.Text))
        End If

        SetAutoCompletion(String.Format("CALL DptGetAllNameByAyId({0})", AyId), ComboDpt)
        SetAutoCompletion(String.Format("CALL AreaGetAllDepartment({0}, '{1}')", AyId, ComboDpt.Text), ComboArea)

        If ComboDpt.Items.Count > 0 Then
            ComboDpt.Text = ComboDpt.Items.Item(0)
        Else
            ComboDpt.Text = String.Empty
        End If

        If ComboArea.Items.Count > 0 Then
            ComboArea.Text = ComboArea.Items.Item(0)
        Else
            ComboArea.Text = String.Empty
        End If
    End Sub

    Friend Sub ComboDpt_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboDpt.SelectedIndexChanged
        SetAutoCompletion(String.Format("CALL AreaGetAllDepartment({0}, '{1}')", AyId, ComboDpt.Text), ComboArea)

        If ComboArea.Items.Count > 0 Then
            ComboArea.Text = ComboArea.Items.Item(0)
        Else
            ComboArea.Text = String.Empty
        End If
    End Sub

    Private Sub ManageAccountablePeopleToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ManageAccountablePeopleToolStripMenuItem.Click
        FrmMainAp.ShowDialog()
    End Sub

    Private Sub ManageItemsToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ManageItemsToolStripMenuItem.Click
        FrmMainItem.LblTitle.Text = "Manage Items"
        FrmMainItem.BtnAddNew.Show()
        FrmMainItem.BtnAssignDevice.Show()
        FrmMainItem.LblNote.Show()
        FrmMainItem.BtnAddNew.Location = New Point(12, 37)
        FrmMainItem.BtnAssignDevice.Location = New Point(130, 37)
        FrmMainItem.DtgItem.Dock = DockStyle.None
        FrmMainItem.DtgItem.Anchor = CType((((AnchorStyles.Top Or AnchorStyles.Bottom) _
                Or AnchorStyles.Left) _
                Or AnchorStyles.Right), AnchorStyles)
        FrmMainItem.DtgItem.Size = New Size(845, 395)
        FrmMainItem.ShowDialog()
    End Sub

    Friend Sub ComboArea_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboArea.SelectedIndexChanged
        Dptid = GetSingleValue(String.Format("CALL DptGetOneById('{0}')", ComboDpt.Text))
        AreaId = GetSingleValue(String.Format("CALL AreaGetOneById('{0}')", ComboArea.Text))

        Query(String.Format("CALL ItemGroupGetAllNames({0}, {1}, {2})", DefaultAcademicYearId, Dptid, AreaId), DtgItem)
    End Sub

    Private Sub BtnAddPc_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnAddPc.Click
        If Not ComboAy.Text.Equals(String.Empty) And _
            Not ComboArea.Text.Equals(String.Empty) And _
            Not ComboArea.Text.Equals(String.Empty) Then

            FrmItemAddGItem.ShowDialog()
        End If

    End Sub

    Private Sub DtgItem_CellDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DtgItem.CellDoubleClick
        ItemCode = DtgItem.CurrentRow.Cells("Item Code").Value
        Dim ChangedTitle = "All Items in " & ComboArea.Text & ": " & ItemCode
        FrmMainItem.BtnAddNew.Hide()
        FrmMainItem.BtnAssignDevice.Location = New Point(12, 37)
        FrmMainItem.Text = ChangedTitle
        FrmMainItem.LblTitle.Text = ChangedTitle
        FrmMainItem.LblNote.Hide()
        FrmMainItem.ShowDialog()
    End Sub
End Class
