-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Feb 16, 2017 at 12:02 AM
-- Server version: 10.1.19-MariaDB
-- PHP Version: 5.5.38

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `inventory_system_revised`
--

DELIMITER $$
--
-- Procedures
--
CREATE DEFINER=`root`@`localhost` PROCEDURE `ApAdd` (IN `ap_area_id` INT(16), IN `ap_firstname` VARCHAR(16), IN `ap_lastname` VARCHAR(16))  NO SQL
INSERT INTO accountable_people (area_id, firstname, lastname) VALUES (ap_area_id, ap_firstname, ap_lastname)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ApGetAll` ()  NO SQL
SELECT ap.id, ap.firstname AS `First name`, ap.lastname AS `Last name`, area.name AS `Area/s Assigned`
FROM accountable_people AS ap
INNER JOIN areas AS area 
ON area.id = ap.area_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ApGetFullname` ()  MODIFIES SQL DATA
SELECT DISTINCT CONCAT(firstname, '. ', lastname) AS `Full name` FROM accountable_people$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ApUnassign` (IN `item_id` INT(16))  NO SQL
UPDATE items SET is_assigned = 0 WHERE id = item_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ApUpdate` (IN `ap_area_id` INT(16), IN `ap_firstname` VARCHAR(16), IN `ap_lastname` VARCHAR(16), IN `ap_id` INT(16))  NO SQL
UPDATE accountable_people SET area_id = ap_area_id, firstname = ap_firstname, lastname = ap_lastname WHERE id = ap_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AreaAdd` (IN `area_name` VARCHAR(16), IN `area_dpt_name` VARCHAR(16), IN `area_ay_id` INT(16))  MODIFIES SQL DATA
    COMMENT 'None'
INSERT INTO areas (
    `name`, 
    `department_name`,
   	`academic_year_id`
) 
VALUES (
    area_name, 
    area_dpt_name,
    area_ay_id
)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AreaGetAll` (IN `ay_id` VARCHAR(16))  READS SQL DATA
SELECT id, academic_year_id, name AS `Area name`, department_name AS `Under in the department of`  FROM areas WHERE academic_year_id = ay_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AreaGetAllDepartment` (IN `ay_id` INT(16), IN `area_department_name` VARCHAR(16))  NO SQL
SELECT name FROM areas WHERE department_name = area_department_name AND academic_year_id = ay_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AreaGetOneById` (IN `area_name` VARCHAR(16))  NO SQL
SELECT id FROM areas WHERE name = area_name$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AreaUpdate` (IN `area_name` VARCHAR(16), IN `area_dpt_name` VARCHAR(16), IN `area_id` INT(16))  NO SQL
UPDATE areas SET name = area_name, department_name = area_dpt_name WHERE id = area_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AyAddAndDefault` (IN `ay_range_of_year` VARCHAR(16), IN `ay_is_default` BOOLEAN)  MODIFIES SQL DATA
INSERT INTO 	academic_years(range_of_year, is_default)
VALUES (ay_range_of_year, ay_is_default)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AyClearDefaults` ()  NO SQL
UPDATE academic_years SET is_default = 0$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AyConfirmDefault` (IN `ay_range_of_year` VARCHAR(16))  NO SQL
SELECT range_of_year FROM academic_years WHERE range_of_year = ay_range_of_year and is_default = 1$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AyGetAll` ()  READS SQL DATA
SELECT id, range_of_year AS `Academic Year` FROM academic_years$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AyGetAllNoId` ()  NO SQL
SELECT range_of_year AS `Academic Year` FROM academic_years$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AyGetDefault` ()  NO SQL
SELECT range_of_year FROM academic_years WHERE is_default = 1$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AyGetDefaultId` ()  NO SQL
SELECT id FROM academic_years WHERE is_default = 1$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AyGetId` (IN `ay_range_of_year` VARCHAR(16))  NO SQL
SELECT id FROM academic_years WHERE range_of_year = ay_range_of_year$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AySetDefault` (IN `ay_range_of_year` VARCHAR(16))  NO SQL
UPDATE academic_years SET is_default = 1 WHERE range_of_year = ay_range_of_year$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `AyUpdate` (IN `ay_id` INT(16), IN `ay_range_of_year` VARCHAR(16), IN `ay_is_default` BOOLEAN)  MODIFIES SQL DATA
UPDATE academic_years 
SET range_of_year = ay_range_of_year, is_default = ay_is_default
WHERE id = ay_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `DptAdd` (IN `ay_id` INT(16), IN `dpt_name` VARCHAR(16))  NO SQL
INSERT INTO departments(academic_year_id, name) VALUES (ay_id, dpt_name)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `DptGetAll` (IN `ay` INT(16))  NO SQL
SELECT id, academic_year_id AS `academic year id`, name AS `Department name`FROM departments WHERE academic_year_id = ay$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `DptGetAllNameByAyId` (IN `ayid` VARCHAR(16))  NO SQL
SELECT name FROM departments WHERE academic_year_id = ayid$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `DptGetOneById` (IN `dpt_name` VARCHAR(16))  NO SQL
SELECT id FROM departments WHERE name = dpt_name$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `DptUpdate` (IN `dpt_name` VARCHAR(16), IN `dpt_id` INT(16))  NO SQL
UPDATE departments SET name = dpt_name WHERE id = dpt_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `HistoryAdd` (IN `history_activity_performed` LONGTEXT, IN `history_user_id` INT, IN `history_activity_type` VARCHAR(16))  NO SQL
INSERT INTO activity_histories (activity_performed, user_id, type, date_performed) VALUES(history_activity_performed, history_user_id, history_activity_type, NOW())$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `HistoryGetAll` ()  NO SQL
SELECT CONCAT(user.firstname, ' ', user.lastname) AS `Full name`,
    history.activity_performed `Activity`,
    history.date_performed AS `Date`
FROM activity_histories AS history
INNER JOIN users AS user 
ON history.`user_id` = user.id
ORDER BY history.type DESC, `Full name`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `HistoryGetAllByType` (IN `history_type` VARCHAR(16), IN `user_type` VARCHAR(16))  NO SQL
SELECT CONCAT(user.firstname, ' ', user.lastname) AS `Full name`,
    history.activity_performed `Activity`,
    history.date_performed AS `Date`
FROM activity_histories AS history
INNER JOIN users AS user 
ON history.`user_id` = user.id
WHERE history.type = history_type AND user.type = user_type
ORDER BY history.type DESC, `Full name`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `HistoryGetAllByUser` (IN `user_type` VARCHAR(16))  NO SQL
SELECT CONCAT(user.firstname, ' ', user.lastname) AS `Full name`,
    history.activity_performed `Activity`,
    history.date_performed AS `Date`
FROM activity_histories AS history
INNER JOIN users AS user 
ON history.`user_id` = user.id
WHERE user.type = user_type
ORDER BY history.type DESC, `Full name`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `HistoryGetAllTypes` ()  NO SQL
SELECT DISTINCT type FROM activity_histories$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemAdd` (IN `item_type` VARCHAR(16), IN `item_brand` VARCHAR(16), IN `item_model` VARCHAR(16), IN `item_serial` VARCHAR(16), IN `item_description` LONGTEXT)  NO SQL
INSERT INTO `items`(`type`, `brand`, `model`, `serial_number`, `description`, `status`, `is_assigned`, `date_received`, `age`) VALUES (item_type, item_brand, item_model, item_serial, item_description, 'New', 0, NOW(), 0)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemAssign` (IN `item_id` INT(16))  NO SQL
UPDATE items SET is_assigned = 1 WHERE id = item_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGetAll` ()  NO SQL
SELECT item.id, item.type AS `Type`, item.brand AS `Brand`, item.model AS `Model`, item.serial_number AS `Serial Number`, item.status AS `Status`, item.description AS `Description`, item.date_received AS `Date Received` FROM items AS item WHERE is_assigned = 0$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGetAllBrand` ()  NO SQL
SELECT DISTINCT brand FROM items$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGetAllModel` ()  NO SQL
SELECT DISTINCT model FROm items$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGetAllType` ()  NO SQL
SELECT DISTINCT type FROM items$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGroupAdd` (IN `ig_name` VARCHAR(16), IN `ig_number` INT(16), IN `ig_ay_id` INT(16), IN `ig_dpt_id` INT(16), IN `ig_area_id` INT)  NO SQL
INSERT INTO items_group (item_group_name, item_group_number, ay_id, department_id, area_id) VALUES (ig_name, ig_number, ig_ay_id, ig_dpt_id, ig_area_id)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGroupAddItem` (IN `ig_ay_id` INT(16), IN `ig_dpt_id` INT(16), IN `ig_area_id` INT(16), IN `ig_item_id` INT(16), IN `ig_group_name` VARCHAR(16), IN `ig_group_num` INT(16))  NO SQL
INSERT INTO items_group (ay_id, department_id, area_id, item_id, item_group_name, item_group_number) VALUES (ig_ay_id, ig_dpt_id, ig_area_id, ig_item_id, ig_group_name, ig_group_num)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGroupGetAllItems` (IN `item_ay_id` INT(16), IN `item_dpt_id` INT(16), IN `item_area_id` INT(16), IN `ig_name` INT(16), IN `ig_num` INT(16))  NO SQL
SELECT DISTINCT
	item.id,
    item.type AS `Type`,
    item.brand AS `Brand`,
    item.model AS `Model`,
    item.status AS `Status`,
    item.serial_number AS `Serial Number`,
    item.description AS `Description`
FROM `items_group` as gitem
INNER JOIN items as item ON item.id = gitem.item_id
INNER JOIN departments as dpt ON dpt.id = gitem.department_id
INNER JOIN areas as area ON area.id = gitem.area_id
WHERE gitem.ay_id = item_ay_id 
AND gitem.department_id = item_dpt_id
AND gitem.area_id = item_area_id AND gitem.item_group_name = ig_name AND gitem.item_group_number = ig_num$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGroupGetAllNames` (IN `item_ay_id` INT(16), IN `item_dpt_id` INT(16), IN `item_area_id` INT(16))  NO SQL
SELECT DISTINCT item.id, CONCAT(gitem.`item_group_name`, '-', gitem.`item_group_number`) AS `Item code`
FROM `items_group` AS gitem
INNER JOIN items AS item
WHERE gitem.ay_id = item_ay_id AND gitem.department_id = item_dpt_id AND gitem.area_id = item_area_id
GROUP BY gitem.`item_group_name`, gitem.`item_group_number`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGroupGetAllNoId` (IN `ig_ay_id` INT(16), IN `ig_dpt_id` INT(16), IN `ig_area_id` INT(16))  NO SQL
SELECT DISTINCT CONCAT(gitem.`item_group_name`, '-', gitem.`item_group_number`) AS `Item code`
FROM `items_group` AS gitem
WHERE gitem.ay_id = ig_ay_id AND gitem.department_id = ig_dpt_id AND gitem.area_id = ig_area_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGroupGetIdByCode` (IN `ig_item_group_name` VARCHAR(16), IN `ig_item_group_number` INT(16), IN `ig_ay_id` INT(16), IN `ig_dpt_id` INT(16), IN `ig_area_id` INT(16))  NO SQL
SELECT id FROM items_group WHERE ay_id = ig_ay_id AND department_id = ig_dpt_id AND area_id = ig_area_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGroupGetMax` (IN `item_ay_id` INT(16), IN `item_dpt_id` INT(16), IN `item_area_id` INT(16))  NO SQL
SELECT MAX(ig.item_group_number) FROm items_group AS ig INNER JOIN items AS item On item.id = ig.item_id WHERE ig.ay_id = item_ay_id AND ig.department_id = item_dpt_id AND ig.area_id = item_area_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemGroupGetOne` (IN `ig_ay_id` INT(16), IN `ig_dpt_id` INT(16), IN `ig_area_id` INT(16), IN `ig_id` INT(16))  NO SQL
SELECT CONCAT(gitem.`item_group_name`, '-', gitem.`item_group_number`) AS `Item code` FROM items_group AS gitem 
WHERE ay_id = ig_ay_id AND department_id = ig_dpt_id AND area_id = ig_area_id AND id = ig_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `ItemUpdate` (IN `item_type` VARCHAR(16), IN `Item_brand` VARCHAR(16), IN `item_model` VARCHAR(16), IN `item_serial` VARCHAR(16), IN `item_description` LONGTEXT, IN `item_id` INT(16))  NO SQL
UPDATE `items` SET  `type`=item_type,`brand`=item_brand,`model`=item_model,`serial_number`=item_serial,`description`=item_description WHERE id = item_id$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserAdd` (IN `user_name` VARCHAR(16), IN `user_passcode` VARCHAR(16), IN `user_type` VARCHAR(16), IN `user_first_name` VARCHAR(16), IN `user_last_name` VARCHAR(16))  MODIFIES SQL DATA
INSERT INTO users (username, passcode, type, firstname, lastname) VALUES (user_name, user_passcode, user_type, user_first_name, user_last_name)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserGetAll` ()  NO SQL
SELECT id, type AS `Type`, firstname AS `First name`, lastname AS `Last Name`, username AS `Username`, passcode AS `Password` FROM users$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserGetAllUsernames` ()  NO SQL
SELECT DISTINCT username FROM users$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserGetAllUserTypes` ()  NO SQL
SELECT DISTINCT type FROM users$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserGetFirstname` (IN `user_name` VARCHAR(16))  NO SQL
SELECT firstname FROM users WHERE username = user_name$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserGetId` (IN `user_name` VARCHAR(16))  NO SQL
SELECT id FROM users WHERE username = user_name$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserGetLastname` (IN `user_name` VARCHAR(16))  NO SQL
SELECT lastname FROM users WHERE username = user_name$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserGetPassword` (IN `user_name` VARCHAR(16))  NO SQL
SELECT passcode FROM users WHERE username = user_name$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserGetUsername` (IN `user_name` VARCHAR(16))  NO SQL
SELECT username FROM users WHERE username = user_name$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserGetUserType` (IN `user_name` VARCHAR(16))  NO SQL
SELECT type FROM users WHERE username = user_name$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `UserUpdate` (IN `user_name` VARCHAR(16), IN `user_passcode` VARCHAR(16), IN `user_type` VARCHAR(16), IN `user_first_name` VARCHAR(16), IN `user_last_name` VARCHAR(16), IN `user_id` INT(16))  NO SQL
UPDATE users SET username = user_name, passcode = user_passcode, type = user_type, firstname = user_first_name, lastname = user_last_name WHERE id = user_id$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `academic_years`
--

CREATE TABLE `academic_years` (
  `id` int(16) NOT NULL,
  `range_of_year` varchar(16) NOT NULL,
  `is_default` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `accountable_people`
--

CREATE TABLE `accountable_people` (
  `id` int(11) NOT NULL,
  `area_id` int(16) NOT NULL,
  `firstname` varchar(16) NOT NULL,
  `lastname` varchar(16) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `activity_histories`
--

CREATE TABLE `activity_histories` (
  `id` int(16) NOT NULL,
  `user_id` int(16) NOT NULL,
  `type` varchar(16) NOT NULL,
  `activity_performed` longtext NOT NULL,
  `date_performed` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `areas`
--

CREATE TABLE `areas` (
  `id` int(16) NOT NULL,
  `academic_year_id` int(16) NOT NULL,
  `department_name` varchar(16) NOT NULL,
  `name` varchar(16) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `departments`
--

CREATE TABLE `departments` (
  `id` int(16) NOT NULL,
  `academic_year_id` int(16) NOT NULL,
  `name` varchar(16) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `items`
--

CREATE TABLE `items` (
  `id` int(16) NOT NULL,
  `accountable_person_id` int(8) NOT NULL,
  `type` varchar(16) NOT NULL,
  `brand` varchar(16) NOT NULL,
  `model` varchar(16) NOT NULL,
  `serial_number` varchar(16) NOT NULL,
  `description` longtext NOT NULL,
  `status` varchar(8) NOT NULL,
  `is_assigned` tinyint(1) NOT NULL,
  `date_received` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `age` int(8) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `items_group`
--

CREATE TABLE `items_group` (
  `id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `ay_id` int(16) NOT NULL,
  `department_id` int(16) NOT NULL,
  `area_id` int(16) NOT NULL,
  `item_group_name` varchar(16) NOT NULL,
  `item_group_number` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(16) NOT NULL,
  `type` varchar(16) NOT NULL,
  `firstname` varchar(16) NOT NULL,
  `lastname` varchar(16) NOT NULL,
  `username` varchar(16) NOT NULL,
  `passcode` varchar(16) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `type`, `firstname`, `lastname`, `username`, `passcode`) VALUES
(1, 'admin', 'admin', '', 'admin', '123qweasd'),
(2, 'staff', 'John Anthony', 'Salopisa', 'jsalopisa', '123qweasd');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `academic_years`
--
ALTER TABLE `academic_years`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `range_of_year` (`range_of_year`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `id_2` (`id`);

--
-- Indexes for table `accountable_people`
--
ALTER TABLE `accountable_people`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `activity_histories`
--
ALTER TABLE `activity_histories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `areas`
--
ALTER TABLE `areas`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `departments`
--
ALTER TABLE `departments`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `items`
--
ALTER TABLE `items`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `serial_number` (`serial_number`);

--
-- Indexes for table `items_group`
--
ALTER TABLE `items_group`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `username` (`username`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `academic_years`
--
ALTER TABLE `academic_years`
  MODIFY `id` int(16) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `accountable_people`
--
ALTER TABLE `accountable_people`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `activity_histories`
--
ALTER TABLE `activity_histories`
  MODIFY `id` int(16) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `areas`
--
ALTER TABLE `areas`
  MODIFY `id` int(16) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `departments`
--
ALTER TABLE `departments`
  MODIFY `id` int(16) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `items`
--
ALTER TABLE `items`
  MODIFY `id` int(16) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `items_group`
--
ALTER TABLE `items_group`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(16) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
